View Issue Details

IDProjectCategoryView StatusLast Update
0014918SCLo[All Projects] generalpublic2018-07-11 13:38
Reporterrherold 
PrioritynormalSeveritytweakReproducibilityalways
Status newResolutionopen 
Summary0014918: rh-dotnet21 is missing and rh-dotnet20 is outdated
Descriptionhi,

rh-dotnet20 on centos is still on 2.0.6 but 2.0.7 was released at 8. may 2018.

rh-dotnet21 on centos is not existing upstream released 2.1 a while ago. In bugzilla.redhat.com are already bugs for rh-dotnet21.

Please update the packages to current versions
Steps To Reproduce
See: https://github.com/dotnet/core/releases
Tagssecurity

Activities

rherold

rherold

2018-06-07 10:14

reporter   ~0032027

If help is needed we would like to help as good as we can
JohnnyHughes

JohnnyHughes

2018-06-14 15:12

administrator   ~0032088

I updated the dotnet10 and dotnet11 releases .. dotnet20 and dotnet21 do not build as released in CentOS. I need some patches from upstream to get them to build. Let me try my contact again.
JohnnyHughes

JohnnyHughes

2018-06-15 22:26

administrator   ~0032095

I updated the dotnet20 to the latest (rh-dotnet20-dotnet-2.0.7-2.el7).

dotnet21 is going to be a problem that we have to solve. It requires several SCLs from the SCL SIG, as well as devtoolset-7 (also from the SCL SIG). This means we will likely have to start building rh-dotnet21* on the Community Build System (CBS) and not the normal CentOS distro builders.

This is going to require retooling and deciding who (SCL SIG, core team) is going to build it .. where it is going to be signed (SCL SIG Key vai CBS signing, Core key via distro signing).

If we have to shift this to the SCL SIG then we will likely need to shift all 4 versions over, not just dotnet21 .. but this is something that needs some planning and discussions before we can build/release. The main CentOS Builders can not build from anywhere else (they do not touch anything except the main build repos .. no internet access, CBS access, etc.)
rherold

rherold

2018-06-18 07:27

reporter   ~0032106

Thx for the updates on 2.0!!!

Is this the same way as it would be needed in rhel7? Was someone in contact with microsoft or the upstream project reporting this problems?
From my point of view microsoft self must be interested in getting this inside all major enterprise distribution and take a little bit care that things
like this should not be necessary,.
rherold

rherold

2018-07-11 13:37

reporter   ~0032224

Have you seen https://access.redhat.com/errata/RHSA-2018:2167 pleas update the packages.

Issue History

Date Modified Username Field Change
2018-06-07 10:08 rherold New Issue
2018-06-07 10:14 rherold Note Added: 0032027
2018-06-14 15:12 JohnnyHughes Note Added: 0032088
2018-06-15 22:26 JohnnyHughes Note Added: 0032095
2018-06-18 07:27 rherold Note Added: 0032106
2018-07-11 13:37 rherold Note Added: 0032224
2018-07-11 13:38 rherold Tag Attached: security